#include <iostream>
#include "Birthday7.h"

using namespace std;

int Birthday::count = 0;

Birthday::Birthday() : year(0), month(0), date(0)
{
    count++;
}

Birthday::Birthday(int y, int m, int d) : year(y), month(m), date(d)
{
    count++;
}

int Birthday::get_year()  const { return year; }
int Birthday::get_month() const { return month; }
int Birthday::get_date()  const { return date; }

int Birthday::get_count() { return count; }

void Birthday::set_year(const int y)  { year = y; }
void Birthday::set_month(const int m) { month = m; }
void Birthday::set_date(const int d)  { date = d; }

void Birthday::print()
{
    cout << month << "/" << date << "/" << year;
}

int Birthday::operator -(const Birthday& other)
{
    return abs(year - other.year);
}
